Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 84568 - app-misc/pmr-0.10 (new ebuild)
Summary: app-misc/pmr-0.10 (new ebuild)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL: http://www.iki.fi/shd/foss/pmr/
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2005-03-08 16:57 UTC by Heikki Orsila
Modified: 2018-06-07 18:24 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
pmr-0.09 ebuild (pmr-0.09.ebuild,554 bytes, text/plain)
2005-06-22 01:43 UTC, Heikki Orsila
Details
app-misc/pmr-0.10 ebuild (pmr-0.10.ebuild,524 bytes, text/plain)
2005-08-27 07:27 UTC, Heikki Orsila
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heikki Orsila 2005-03-08 16:57:25 UTC
pmr (short for pipemeter) is a tool that measures bandwidth through a command line pipe. In a setup like "com1 |pmr |com2" pmr would print the transfer speed and amount of data going from com1 to com2. Also, pmr can limit the transfer speed going through the pipe. "tar cvf - *FILES* |pmr -l 100000 |nc host port" would send data to a host with transfer speed of at most 100000 bytes per second.

I request that pmr tool is added into portage as app-misc/pmr-0.09. ebuild file can be obtained from:

 http://www.iki.fi/shd/foss/pmr/gentoo/

Trusted digest:
MD5 9a760cd64c7fe9afad2588d1aa169079 pmr-0.09.tar.gz 5024
Comment 2 Heikki Orsila 2005-03-27 04:27:15 UTC
My bad.. I looked at articles you referred to and made following changes:

 - proper header (from /usr/portage/header.txt)
 - proper DESCRIPTION
 - fix RPDEPEND (libc only)
 - fix DEPEND (sed and $RDEPEND)
 - made src_test() just return true, because pmr doesn't have a proper
   'make test' that returns in finite time

Are there other factors that need attention? Updated ebuild is in the same
place with same name:

 http://www.modeemi.fi/~shd/foss/pmr/gentoo/

Comment 3 Heikki Orsila 2005-05-10 09:47:29 UTC
1.5 months has gone without comments. Does this mean pmr is unsuitable for being added into portage? Any explanations and clues welcome.
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2005-06-21 18:53:42 UTC
Please, attach the ebuild here, don't link it. 
Comment 5 Heikki Orsila 2005-06-22 01:43:54 UTC
Created attachment 61711 [details]
pmr-0.09 ebuild
Comment 6 Heikki Orsila 2005-06-22 01:44:57 UTC
Attched now.
Comment 7 Heikki Orsila 2005-08-27 07:27:59 UTC
Created attachment 66976 [details]
app-misc/pmr-0.10 ebuild
Comment 8 Heikki Orsila 2005-08-27 07:29:11 UTC
Fixed RDEPEND and LICENSE fields, and increased version number.
Comment 9 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-19 21:15:50 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 10 Duncan Lockwood 2009-02-21 18:25:53 UTC
Ebuild for version 1.01 submitted to Gentoo Sunrise. You can find it here...

http://overlays.gentoo.org/proj/sunrise/browser/reviewed/app-misc/pmr/pmr-1.01.ebuild
Comment 11 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:48:03 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/